      PROGRAM MULTI
      
      IMPLICIT NONE
      INCLUDE 'SEE4F.INC'
     
      CHARACTER*64 SmtpHostName
      CHARACTER*64 YourEmailAddr
      CHARACTER*64 SendTo1st, SendTo2nd
      CHARACTER*64 Subject
      CHARACTER*64 Message1st, Message2nd
      CHARACTER*64 Attachment
      CHARACTER*64 LogFileName
      INTEGER*4 Code  
       
C     *** IMPORTANT ****************************************
C     *** Edit these next 4 lines with your SMTP server name
C     *** and email addresses. See Users Manual (SEE4F_U.TXT)
C     *****************************************************
      SmtpHostName = 'smtp_host_name' // CHAR(0)
      YourEmailAddr = 'your_email_address' // CHAR(0)
      SendTo1st = 'first_email_address' // CHAR(0)
      SendTo2nd = 'second_email_address' // CHAR(0)
C     *****************************************************
                 
C     *** define remaining email parameters 

      Subject = 'MULTI.F Test' // CHAR(0)
      Message1st = 'Mailed from MULTI program.' // CHAR(0)
      Message2nd = '@test.mai' // CHAR(0)
      Attachment = 'test.zip' // CHAR(0)
      LogFileName = 'multi.log' // CHAR(0)
     
C     *** enable log file

      Code = seeStringParam(VAL(SEE_LOG_FILE),VAL(LOC(LogFileName)))
     
C     *** connect to SMTP server 

      WRITE(*,*) 'Calling seeConnectTo()...'
      Code = seeConnectTo(
     1    VAL(LOC(SmtpHostName)),       ! SMTP Host name
     2    VAL(LOC(YourEmailAddr)),      ! Your email address
     3    VAL(0) )                      ! ReplyTo header
      IF(Code .LT. 0) THEN
        WRITE(*,*) 'SeeConnectTo returns error ', Code
        CALL ErrorExit
      END IF
 
C     *** send 1st email 

      WRITE(*,*) 'Calling seeSendEmail()...'
      Code = seeSendEmail(
     1    VAL(LOC(SendTo1st)),          ! 1st receipient's email address
     2    VAL(0),                       ! no CC list
     3    VAL(0),                       ! no BCC list
     4    VAL(LOC(Subject)),            ! subject
     5    VAL(LOC(Message1st)),         ! 1st message
     6    VAL(0) )                      ! no attachment
     
      IF(Code .LT. 0) THEN
        WRITE(*,*) 'seeSendMail returns error ', Code
        CALL ErrorExit
      END IF
      
C     *** send 2nd email 

      WRITE(*,*) 'Calling seeSendEmail()...'
      Code = seeSendEmail(
     1    VAL(LOC(SendTo2nd)),          ! 2nd receipient's email address
     2    VAL(0),                       ! no CC list
     3    VAL(0),                       ! no BCC list
     4    VAL(LOC(Subject)),            ! subject
     5    VAL(LOC(Message2nd)),         ! 2nd message
     6    VAL(LOC(Attachment)) )        ! file to attach
     
      IF(Code .LT. 0) THEN
        WRITE(*,*) 'seeSendMail returns error ', Code
        CALL ErrorExit
      END IF  
      
C     *** all done

      Code = seeClose()
      STOP
      END
      
C     *** Error exit subroutine 

      SUBROUTINE ErrorExit
      CHARACTER*64 Buffer
      INTEGER*4 I, Code
C     *** clear Buffer      
      DO 199 I = 1, 64
        Buffer = ' '
 199  CONTINUE
C     *** get error text into Buffer & print message
      Code = seeErrorText(VAL(Code),VAL(LOC(Buffer)),VAL(64))
      WRITE(*,*) Buffer
      Code = seeClose()
      STOP
      END
      